# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# Provides/Requires filtering is different from rpm 4.9 onwards
%global rpm49 %(rpm --version | perl -p -e 's/^.* (\\d+)\\.(\\d+).*/sprintf("%d.%03d",$1,$2) ge 4.009 ? 1 : 0/e' 2>/dev/null || echo 0)

Name:		perl-Test-Needs
Version:	0.002005
Release:	1.%{__distinit}%{__distvers}
Summary:	Skip tests when modules not available
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Test-Needs/
Source0:	http://www.cpan.org/authors/id/H/HA/HAARG/Test-Needs-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	grep
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(IPC::Open3)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::More) >= 0.45
# Optional Tests
BuildRequires:	perl(Test::Builder)
BuildRequires:	perl(Test2::API)
BuildRequires:	perl(Test2::Event)
BuildRequires:	perl(version)
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

# This module does not really require Test2::Event
%global __requires_exclude ^perl\\(Test2::Event\\)

%description
Skip test scripts if modules are not available. The requested modules will
be loaded, and optionally have their versions checked. If the module is
missing, the test script will be skipped. Modules that are found but fail
to compile will exit with an error rather than skip.

%prep
%setup -q -n Test-Needs-%{version}

# This module does not really require Test2::Event
%if ! %{rpm49}
%global reqfilt /bin/sh -c "%{__perl_requires} | grep -Ev '^perl[(]Test2::Event[)]'"
%global __perl_requires %{reqfilt}
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%doc Changes README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Needs.3*

%changelog
* Tue Sep 27 2016 Paul Howarth <paul@city-fan.org> - 0.002005-1
- Update to 0.002005
  - Fix skipping when Test::Tester (Test::More < v2) is loaded

* Fri Aug 19 2016 Paul Howarth <paul@city-fan.org> - 0.002004-1
- Update to 0.002004
  - Fix test counts when Test2 not available

* Thu Aug 18 2016 Paul Howarth <paul@city-fan.org> - 0.002003-1
- Update to 0.002003
  - Fix loud warnings when aborting a test under Test2
  - Some kwalitee improvements
- Filter unnecessary dependency on Test2::Event

* Thu Jun 30 2016 Paul Howarth <paul@city-fan.org> - 0.002002-2
- Import from Fedora

* Fri Jun 10 2016 Emmanuel Seyman <emmanuel@seyman.fr> - 0.002002-1
- Specfile autogenerated by cpanspec 1.78
